#pragma once
#include <windows.h>
#include "ByteArray.h"

/*
CPathMap
********
Class used to store Warcraft 3 WPM file data.

*/
class CPathMap
{
public:
	CByteArray m_abyUnsupportedBuffer; //unsupported data buffer
	byte* GetData();
	int GetLength();
	int GetHeight();
	int GetWidth();
	BOOL SetSize(int width, int height);
	CPathMap();
	virtual ~CPathMap();

protected:
	byte* m_pbyPathMap;
	int m_iHeight;
	int m_iWidth;

};